retlev.bvpot {POT} | R Documentation

## Return Level Plot: Bivariate Case

### Description

Plot return levels for a fitted bivariate extreme value distribution.

### Usage

    ## S3 method for class 'bvpot'
    retlev(fitted, p = seq(0.75,0.95,0.05), main, n = 5000,
    only.excess = FALSE, ...)

### Arguments

`fitted` | An object of class `"bvpot"`. Most often, the return object of the `fitbvgpd` function.
`p` | A vector of probabilities for which return levels must be drawn.
`main` | The title of the graphic window. May be missing.
`n` | The number (default: 5000) of points needed to draw return levels lines.
`only.excess` | Logical. If `FALSE` (the default), all observations are plotted, otherwise, only exceedances above at least one of the two thresholds are plotted.
`...` | Other parameters to pass to the `plot` function.

### Details

Any bivariate extreme value distribution has the Pickands' representation form i.e.:

G(y1, y2) = exp( - (1/z1 + 1/z2) A(w) )

where zi corresponds to yi transformed to be unit Frechet distributed and w = z2 / (z1 + z2) which lies in [0,1].

Thus, for a fixed probability p and w, we have the corresponding z1, z2 values:

z1 = - A(w) / (w log(p))

z2 = z1 w / (1-w)

At last, the zi are transformed back to their original scale.

### Value

Plot return levels for a fitted bivariate extreme value distribution. Moreover, an invisible list is return which gives the points used to draw the current plot.

### Author(s)

Mathieu Ribatet

### See Also

`fitbvgpd`, `plot`

### Examples

    x <- rbvgpd(1000, alpha = 0.25, mar1 = c(0, 1, 0.25))
    Mlog <- fitbvgpd(x, c(0, 0), "log")
    retlev(Mlog)

[Package POT version 1.1-7 Index]